summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/editbox-utf8
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/dialog/samples/editbox-utf8')
-rwxr-xr-xcontrib/dialog/samples/editbox-utf835
1 files changed, 35 insertions, 0 deletions
diff --git a/contrib/dialog/samples/editbox-utf8 b/contrib/dialog/samples/editbox-utf8
new file mode 100755
index 0000000..94f2fab
--- /dev/null
+++ b/contrib/dialog/samples/editbox-utf8
@@ -0,0 +1,35 @@
+#!/bin/sh
+# $Id: editbox-utf8,v 1.9 2010/01/13 10:20:03 tom Exp $
+
+. ./setup-vars
+
+. ./setup-tempfile
+
+. ./setup-utf8
+
+. ./setup-edit
+
+cat << EOF > $input
+Hi, this is a edit box. You can use this to
+allow the user to enter or modify free-form text.
+
+Try it now!
+
+ ----------- --------------------------------
+ Choose Description of the OS you like
+ ----------- --------------------------------
+ Linux The Great Unix Clone for 386/486
+ NetBSD Another free Unix Clone for 386/486
+ OS/2 IBM OS/2
+ WIN NT Microsoft Windows NT
+ PCDOS IBM PC DOS
+ MSDOS Microsoft DOS
+ ----------- --------------------------------
+ ----------- --------------------------------
+EOF
+
+$DIALOG --title "EDIT BOX" \
+ --fixed-font "$@" --editbox $input 0 0 2>$output
+retval=$?
+
+. ./report-edit
OpenPOWER on IntegriCloud